22 Feb 2015
February 22, 2015

libgcc_s.so.1 Error – IBM Integration Bus

February 22, 2015 Blog, IBM, IBM Integration Bus, IIB 0 Comment

 

libgcc_s.so.1 must be installed for pthread_cancel to work

 

Solution:

  • Install libgcc.i686 as follows

# yum install libgcc_s.so.1

 

Result:

[root@localhost sample-scripts]# yum install libgcc_s.so.1
Loaded plugins: fastestmirror, langpacks

Loading mirror speeds from cached hostfile

* base: mirror.ox.ac.uk

* epel: mirror.bytemark.co.uk

* extras: mirror.bytemark.co.uk

* updates: mirror.ox.ac.uk

Resolving Dependencies

–> Running transaction check

—> Package libgcc.i686 0:4.8.2-16.2.el7_0 will be installed

–> Finished Dependency Resolution

 

Dependencies Resolved

 

========================================================================================

Package Arch Version Repository Size

========================================================================================

Installing:

libgcc i686 4.8.2-16.2.el7_0 updates 94 k

 

Transaction Summary

========================================================================================

Install 1 Package

 

Total download size: 94 k

Installed size: 190 k

Is this ok [y/d/N]: y

Downloading packages:

libgcc-4.8.2-16.2.el7_0.i686.rpm | 94 kB 00:00:00

Running transaction check

Running transaction test

Transaction test succeeded

Running transaction

Installing : libgcc-4.8.2-16.2.el7_0.i686 1/1

Verifying : libgcc-4.8.2-16.2.el7_0.i686 1/1

 

Installed:

libgcc.i686 0:4.8.2-16.2.el7_0

 

Complete!

 

Facebooktwittergoogle_plusredditpinterestlinkedinmail

Leave a Reply